
Redmine - Patch #5669

Subversion mirror creation.

2010-06-10 23:46 - Bryce Nordgren

Status: New Start date: 2010-06-10

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Description

This patch modifies reposman.rb such that it can be run on a machine which mirrors the Subversion repositories created by

Redmine. An additional SCM module is defined (Subversion_mirror) which creates any repositories which do not already exist on the

mirror. These repositories have the pre-revprop-change hook installed, and svnsync init is called.

This patch is against the 0.9-stable branch at r3768. The patched file is also attached.

History

#1 - 2010-06-10 23:47 - Bryce Nordgren

- % Done changed from 50 to 100

I'm changing this to 100% done because I don't expect to be making any modifications.

#2 - 2011-01-18 06:27 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-03-24 07:53 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

reposman.diff 5.2 KB 2010-06-10 Bryce Nordgren

reposman.rb 12.5 KB 2010-06-10 Bryce Nordgren
